Я пытаюсь использовать бутстрап в моем новом проекте angular 4. пока я устанавливаю бутстрап с npm, у меня установлена ​​альфа-версия бутстрапа, но мой клиент не хочет использовать альфа-версию

Итак, в Angular 4 вместо альфа-версии начальной загрузки, которая будет использоваться, пожалуйста, предложите. без установки npm

-2
Deepak 24 Июл 2017 в 12:41
1
Bootstrap 4 в настоящее время находится в разработке. Если вам нужен стабильный выпуск. Выберите bootstrap 3.
 – 
Radouane ROUFID
24 Июл 2017 в 12:45
Спасибо Radouane, как включить без установки npm
 – 
Deepak
24 Июл 2017 в 12:50
Вы можете загрузить исходный код, поместить его в активы и импортировать в свой angular.cli или style.css, но это не лучшая практика ... npm install - лучшее решение для управления версиями
 – 
Radouane ROUFID
24 Июл 2017 в 12:57
Это попыталось не работать должным образом .. Но при установке npm всегда получайте файл альфа-версии
 – 
Deepak
24 Июл 2017 в 13:00
2
Вы должны указать желаемую версию npm install bootstrap@3.3.7
 – 
Radouane ROUFID
24 Июл 2017 в 13:01

1 ответ

Лучший ответ

Как сказал Радуан, вы можете указать версию при установке пакетов через NPM.
Таким образом, вы можете использовать: npm install bootstrap@3.3.7, чтобы получить конкретно версию 3.3.7.

В противном случае вы можете загрузить файлы Bootstrap и включить их в заголовок вашего файла index.html.

Наконец, вы можете использовать CDN и снова включить это в заголовок вашего файла index.html:

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>    
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>  
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">`
3
Karim 24 Июл 2017 в 15:32